complexType "Party"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 6 elements
Used: | at 5 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | partyId*, partyName?, (classification*, creditRating*, country?, jurisdiction*, organizationType?)?, relatedParty*, contactInfo?, businessUnit*, person*
</...>

Content Model Elements (11):

  businessUnit, classification, contactInfo (defined in Party complexType), country (defined in PartyInformation.model group), creditRating (defined in PartyInformation.model group), jurisdiction (defined in PartyInformation.model group), | organizationType, partyId, partyName, person, relatedParty (defined in Party complexType)

All Direct / Indirect Based Elements (5):

  party (defined in PartiesAndAccounts.model group), party (in creditEventNotification), party (in nettedTradeCashflowsAsserted), | party (in nettedTradeCashflowsMatchResult), party (in nettedTradeCashflowsRetracted)

Known Usage Locations

- As direct type of elements (5):

  party (defined in PartiesAndAccounts.model group), party (in creditEventNotification), party (in nettedTradeCashflowsAsserted), | party (in nettedTradeCashflowsMatchResult), party (in nettedTradeCashflowsRetracted)

Annotation
Annotation 1 [src]:
A type defining a legal entity or a subdivision of a legal entity.
Annotation 2 [src]:
Parties can perform multiple roles in a trade lifecycle. For example, the principal parties obligated to make payments from time to time during the term of the trade, but may include other parties involved in, or incidental to, the trade, such as parties acting in the role of novation transferor/transferee, broker, calculation agent, etc. In FpML roles are defined in multiple places within a document.
XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="Party"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyId" type="PartyId"/> <xsd:element minOccurs="0" name="partyName" type="PartyName"/> <xsd:group minOccurs="0" ref="PartyInformation.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="PartyRelationship"/> <xsd:element minOccurs="0" name="contactInfo" type="ContactInformation"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="businessUnit" type="BusinessUnit"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="person" type="Person"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="required"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | required

  The id uniquely identifying the Party within the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="required"/>

Content Element Detail (all declarations; defined within this component only; 6/11)
businessUnit

  Type: | BusinessUnit, complex content

  Optional organization unit information used to describe the organization units (e.g. trading desks) involved in a transaction or business process .
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="businessUnit" type="BusinessUnit"/>

contactInfo

  Type: | ContactInformation, complex content

  Information on how to contact the party using various means.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="contactInfo" type="ContactInformation"/>

partyId

  Type: | PartyId, simple content

  A party identifier, e.g. a S.W.I.F.T. bank identifier code (BIC).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyId" type="PartyId"/>

partyName

  Type: | PartyName, simple content

  The legal name of the organization. A free format string. FpML does not define usage rules for this element.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="partyName" type="PartyName"/>

person

  Type: | Person, complex content

  Optional information about people involved in a transaction or busines process. (These are eomployees of the party).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="person" type="Person"/>

relatedParty

  Type: | PartyRelationship, complex content

  Identifies a related party performing a role within the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="PartyRelationship"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.